Will Face Time work in snow leopard?

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    Minimum OS requirements for Face Time is OS 10.6.6.

    So yes! The latest update to Snow Leopard (which is now OS 10.6.8) will work.

    Was this useful? Answer 1

    12 of 15 people found this useful

  • Yes. You will need to purchase the Face Time app from the App Store.

    Was this useful? Answer 2

    9 of 11 people found this useful

Related Questions